apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: backoffice-issuer-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: backoffice.issuer.diploma.demo.emplab.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: issuer-back-end-service
                port:
                  number: 80
  tls:
    - hosts:
      - backoffice.issuer.diploma.demo.emplab.eu
      secretName: backoffice-issuer-diploma-demo-emplab-eu-cert
